Subject: re: [dhcwg] the WG draft on "domain suffix" option

From: "CTO YAN Renxiang" <[email-masked]>
Date: Tue, 13 Dec 2005 15:36:41 +0800

On Tuesday 13 December 2005 11:27, Ted Lemon wrote:
> 
> On Monday 12 December 2005 19:27, CTO YAN Renxiang wrote:
> > If you have read this documents and/or contributed your comments, could you
> > please respond to this last call?  As you all know, if there is little
> > discussion, the document will not be advanced to the IESG.
> 
> Thanks for the reminder - I meant to reply to your previous 
> request, but it got lost in the noise.
> 
> I have read the document, and I'd like to see it go forward, 
> but there is one part of the document that I believe is incorrect and needs to 
> be fixed before 
> it advances:
> 
>    In stateful DHCPv6 [RFC3315], the DHCPv6 server MAY place a domain
>    suffix option in the options field of IA_PD option [RFC3363] in an
>    outgoing DHCPv6 message.  The DHCPv6 server MUST NOT place a domain
>    suffix option in any other portion of a stateful DHCPv6 message.
> 
> So this essentially forbids the use of the domain suffix option in a stateful 
> DHCPv6 message between a regular DHCPv6 client and server.   
> Can you explain why this makes sense?   To me it seems perfectly valid to 
> send this option in a regular DHCP message.   Also, why only in the IA_PD options 
> field?   It makes more sense to me to send it in the global options 
> field, like any other DHCPv6 option, unless its value is different for a particular 
> IA_NA or IA_PD option, in which case you would send the different values in 
> each individual IA_NA or IA_PD option.

I believe we have mentioned this issue in the previous mail. The option is proposed to be
used to configure a domain suffix for a MIDDLE IPv6 device, which act as a DHCPv6 server to
perform service configuration for the devices inside the local network. I do not see the use 
case to in other ways. More important, binding it with IA_PD will fit for the case if the value is
different. I am not sure if it's better to indicate that it can be used both with IA_PD and in regular
DHCP message, since I haven't seen such a usage in other DHCP options. Do you have other
proper methods?

> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg
> 
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg